# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(JSON.pm) perl(Moose.pm) perl(SQL/Abstract.pm) perl(Test/Class.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(URI/Escape.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name JPList
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: JPList module is a data source bundle that works with Perl and database handle where as jPlist (htt...
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHEEJU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
JPList module decodes the request params encoded by jplist ajax core module and then fetchs the data from appropriate table by applying required filter and sort options.

    my $jplist = JPList->new({});
    $jplist->get_resultset();
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm %buildroot%perl_vendor_privlib/README.pod

%files
%doc README.pod Changes
%perl_vendor_privlib/J*

%changelog
* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

